# Spark-Mongodb

[![Join the chat at https://gitter.im/Stratio/Spark-MongoDB](https://badges.gitter.im/Stratio/Spark-MongoDB.svg)](https://gitter.im/Stratio/Spark-MongoDB?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

Spark-Mongodb is a library that allows the user to read/write data with [Spark SQL](http://spark.apache.org/docs/latest/sql-programming-guide.html)
from/into MongoDB collections.

If you are using this Data Source, feel free to briefly share your experience by Pull Request this [file](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/PoweredBy.rst).

## Requirements##

This library requires Apache Spark, Scala 2.10 or Scala 2.11, Casbah 2.8.X

#### Latest compatible versions####

| spark-MongoDB     | Apache Spark  | MongoDB  | 
| ----------------- | ------------- | -------- |
| 0.12.x            | 2.0.0         | 3.0.x    |
| 0.10.x - 0.11.x   | 1.5.x         | 3.0.x    | 
| 0.8.2 - 0.9.2     | 1.4.0         | 3.0.x    | 
| 0.8.1             | 1.3.0         | 3.0.x    | 
| 0.8.0             | 1.2.1         | 3.0.x    | 


## How to use Spark-MongoDB##

There also exists a [First Steps] (<https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst>) document where we show some simple examples.

- [Using the library](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#using-the-library)
- [Configuration parameters](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#configuration-parameters)
- [Examples](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#examples)
    - [Scala API](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#scala-api)
    - [Python API](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#python-api)
    - [Java API](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#java-api)
    - [R API](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/First_Steps.rst#r-api)
- [Faqs](https://github.com/Stratio/spark-mongodb/blob/master/doc/src/site/sphinx/faqs.rst)



# License #

Licensed to STRATIO (C) under one or more contributor license agreements.
See the NOTICE file distributed with this work for additional information
regarding copyright ownership.  The STRATIO (C) licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.

